perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philip M. Gollucci" <pgollu...@p6m7g8.com>
Subject Re: can't "use mod_perl" on debian
Date Sun, 24 Apr 2005 09:37:53 GMT
Jay Strauss wrote:
> Hi,
> # perl -Mmod_perl
> Can't locate mod_perl.pm in @INC (@INC contains: /etc/perl 
> /usr/local/lib/perl/5.8.4 /usr/local/share/perl/5.8.4 /usr/lib/perl5 
> /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 
> /usr/local/lib/site_perl .).
Versions of mod_perl before 2.0-RC5 install mod_perl in a location not 
in your stangard @INC. This should in @INC/Apache2/mod_perl.pm.

You'll need to add a
push @INC, "/path/to/lib/Apache2";
line to the Makefile.PL or whatever files use mod_perl.pm and related 
files for Kwiki.

Thats why you need the Apache2.pm module, which _is_ in your standard 
@INC, as it adjusts your @INC to include these directories.

By doing the above mucking with @INC you can emulate this yourself.

You've probably seen the documentation telling you to add
PerlModule Apache2
in your httpd.conf

This is why.

> I'm trying to install Kwiki::ModPerl, but it "use mod_perl" and blows up 
> during the install
Just a forewarning, as of 2.0-RC5 this changed.  As it stands, 
Kwiki::Modperl will _not_ work with 2.0-RC5 _until_ Kwiki is ported. 
But once it has been, the above 'HACK's will not be neccessary.

http://perl.apache.org/docs/2.0/rename.html

HTH
-- 
END
------------------------------------------------------
Philip M. Gollucci (pgollucci@p6m7g8.com) 301.254.5198
Consultant / http://p6m7g8.net/Resume/resume.shtml
Senior Developer / Liquidity Services, Inc.
	http://www.liquidityservicesinc.com

Mime
View raw message